PDA

View Full Version : Help with prerequisites - .NET Framework 3.5



Crystalii
07-22-2014, 08:21 PM
Hello!

I have an application that requires .NET Framework 3.5 to run. Now what I want my installer to do is to check whether .NET Framework 3.5 or later is installed, and if it is not installed, it should install it within the installation itself.

Now detecting whether .NET Framework 3.5 is installed or not is easy, however I just can't make the installer install it. In the Project Assistant wizard, I went to Installation Requirements and checked Microsoft .NET Framework 3.5. Then I went to the Installation Designer, and there I went to Redistributables under Application Data, and downloaded Microsoft .NET Framework 3.5, and checked the box.

After the build is finished, I get a setup.exe and a folder called "ISSetupPrerequisites". In this folder there is dotnetfx35.exe (.NET Framework 3.5 installer) and a Helper.exe.

However when I run the setup.exe on a computer that does not have .NET 3.5, I get the error "Microsoft .NET Framework 3.5 needs to be installed for this installation to continue.", and then the installation ends without offering to install .NET Framework 3.5.

Does anyone have any clue how to make my installer install .NET Framework 3.5 if the user does not have it installed?

Btw, I am using Installshield 2010 Premier Edition, since I did not find a subforum for 2010 version, I posted it here.

DebbieL
07-24-2014, 09:15 AM
Try removing the .NET requirement from the Project Assistant. You don't need it, since you are including the prerequisite in the Redistributables view, and the installation will check the target system to see whether or not it needs to be installed.

I hope that helps.

P.S. The InstallShield 2010 forum is available from the Legacy Installer Products forum page:
https://community.flexerasoftware.com/forumdisplay.php?167-Legacy-Installer-Products

Crystalii
07-24-2014, 09:19 PM
Try removing the .NET requirement from the Project Assistant. You don't need it, since you are including the prerequisite in the Redistributables view, and the installation will check the target system to see whether or not it needs to be installed.

I hope that helps.

P.S. The InstallShield 2010 forum is available from the Legacy Installer Products forum page:
https://community.flexerasoftware.com/forumdisplay.php?167-Legacy-Installer-Products

Hello!

I did try removing .NET requirement from the Project Assistant, however it did not do anything. It just continued the installation as usual, although .NET 3.5 or higher was not present in the computer.

DebbieL
07-28-2014, 08:27 AM
Are you launching the Setup.exe file, instead of an .msi file? (Setup.exe is required for launching setup prerequisites.)

I recommend generating a log file to see what is going wrong. You can use the /debuglog parameter when running Setup.exe from the command line.

To generate a log named InstallShield.log in the same directory as the Setup.exe file, pass just the command-line parameter. Note that this does not work if the Setup.exe file is in a read-only location. For example:

Setup.exe /debuglog

To specify the name and location of the log file, pass the path and name, as in the following example:

Setup.exe /debuglog"C:\PathToLog\setupexe.log"